diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
index 0d5bf9d..09be6f3 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
@@ -1806,28 +1806,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Tatarstan, Respublika
+    // Zabaykal'skiy kray
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Tatarstan">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;ZabaykalskiyKray">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Tatarstan, Respublika</rdfs:label>
-      <skos:definition>The republic of Tatarstan, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Zabaykal'skiy kray</rdfs:label>
+      <skos:definition>The administrative territory of Zabaykal'skiy kray in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tatarstan, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tatarstan, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Zabaykal'skiy kray</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Zabajkal'skij kraj</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeTerritory"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-TA">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-ZAB">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the republic of Tatarstan, Respublika in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-TA</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-TA</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Tatarstan"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Tatarstan"/>
+      <skos:definition>subdivision code for the administrative territory of Zabaykal'skiy kray in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-ZAB</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-ZAB</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;ZabaykalskiyKray"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;ZabaykalskiyKray"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1837,28 +1837,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Tomskaya oblast'
+    // Amurskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;TomskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;AmurskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Tomskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Tomskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Amurskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Amurskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tomskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tomskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Amurskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Amurskaja oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-TOM">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-AMU">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Tomskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-TOM</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-TOM</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;TomskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;TomskayaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Amurskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-AMU</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-AMU</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;AmurskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;AmurskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1868,28 +1868,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Tul'skaja oblast'
+    // Kalmykija, Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;TulskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Kalmykija">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Tul'skaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Tul'skaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Kalmykija, Respublika</rdfs:label>
+      <skos:definition>The republic of Kalmykija, Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tul'skaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tul'skaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kalmykija, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kalmykiya, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-TUL">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KL">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Tul'skaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-TUL</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-TUL</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;TulskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;TulskajaOblast"/>
+      <skos:definition>subdivision code for the republic of Kalmykija, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-KL</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KL</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Kalmykija"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Kalmykija"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1899,28 +1899,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Ul'janovskaja oblast'
+    // Kostromskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;UljanovskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KostromskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Ul'janovskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Ul'janovskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Kostromskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Kostromskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Ul'janovskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Ul'yanovskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kostromskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kostromskaja oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-ULY">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KOS">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Ul'janovskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-ULY</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-ULY</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;UljanovskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;UljanovskajaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Kostromskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-KOS</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KOS</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KostromskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KostromskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1930,28 +1930,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Vladimirskaya oblast'
+    // Murmanskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;VladimirskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;MurmanskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Vladimirskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Vladimirskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Murmanskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Murmanskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Vladimirskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Vladimirskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Murmanskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Murmanskaja oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-VLA">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-MUR">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Vladimirskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-VLA</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-VLA</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;VladimirskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;VladimirskayaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Murmanskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-MUR</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-MUR</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;MurmanskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;MurmanskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1961,28 +1961,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Voronežskaja oblast'
+    // Omskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;VoronezskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;OmskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Voronežskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Voronežskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Omskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Omskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Voronežskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Voronezhskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Omskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Omskaja oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-VOR">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-OMS">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Voronežskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-VOR</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-VOR</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;VoronezskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;VoronezskajaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Omskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-OMS</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-OMS</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;OmskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;OmskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1992,28 +1992,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Bryanskaya oblast'
+    // Tyva, Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;BryanskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Tyva">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Bryanskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Bryanskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Tyva, Respublika</rdfs:label>
+      <skos:definition>The republic of Tyva, Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Bryanskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Brjanskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tyva, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tyva, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-BRY">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-TY">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Bryanskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-BRY</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-BRY</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;BryanskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;BryanskayaOblast"/>
+      <skos:definition>subdivision code for the republic of Tyva, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-TY</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-TY</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Tyva"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Tyva"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2023,28 +2023,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Čeljabinskaja oblast'
+    // Adygeya, Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;CeljabinskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Adygeya">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Čeljabinskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Čeljabinskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Adygeya, Respublika</rdfs:label>
+      <skos:definition>The republic of Adygeya, Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Čeljabinskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Chelyabinskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Adygeya, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Adygeja, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-CHE">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-AD">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Čeljabinskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-CHE</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-CHE</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;CeljabinskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;CeljabinskajaOblast"/>
+      <skos:definition>subdivision code for the republic of Adygeya, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-AD</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-AD</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Adygeya"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Adygeya"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2054,28 +2054,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Kurganskaja oblast'
+    // Baškortostan, Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KurganskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Baskortostan">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Kurganskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Kurganskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Baškortostan, Respublika</rdfs:label>
+      <skos:definition>The republic of Baškortostan, Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kurganskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kurganskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Baškortostan, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Bashkortostan, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
-
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KGN">
-      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Kurganskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-KGN</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KGN</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KurganskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KurganskajaOblast"/>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-BA">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the republic of Baškortostan, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-BA</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-BA</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Baskortostan"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Baskortostan"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2085,28 +2085,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Kirovskaja oblast'
+    // Karachayevo-Cherkesskaya Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KirovskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Karachayevo-CherkesskayaRespublika">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Kirovskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Kirovskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Karachayevo-Cherkesskaya Respublika</rdfs:label>
+      <skos:definition>The republic of Karachayevo-Cherkesskaya Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kirovskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kirovskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Karachayevo-Cherkesskaya Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Karačaevo-Čerkesskaja Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KIR">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KC">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Kirovskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-KIR</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KIR</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KirovskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KirovskajaOblast"/>
+      <skos:definition>subdivision code for the republic of Karachayevo-Cherkesskaya Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-KC</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KC</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Karachayevo-CherkesskayaRespublika"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Karachayevo-CherkesskayaRespublika"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2116,28 +2116,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Moskovskaya oblast'
+    // Kalužskaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;MoskovskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KaluzskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Moskovskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Moskovskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Kalužskaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Kalužskaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Moskovskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Moskovskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kalužskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kaluzhskaya oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-MOS">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KLU">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Moskovskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-MOS</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-MOS</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;MoskovskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;MoskovskayaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Kalužskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-KLU</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KLU</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KaluzskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KaluzskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
